## pidgin-openfetion 0.1

=== debian/changelog ===
pidgin-openfetion (0.1-0ubuntu2) natty; urgency=high

  * debian/patches/lp706076-bin-invalid-paths.patch:
    - Rewrite to use pkg-config to get paths of relevant libraries to get
      rid of invalid paths in binary packages. (LP: #706076)
  * debian/docs: 
    - Removed since there is only a useless CMakeLists.txt

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 22 Jan 2011 07:33:06 +0800

pidgin-openfetion (0.1-0ubuntu1) natty; urgency=low

  * Initial release in Ubuntu natty.

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 15 Jan 2011 22:32:43 +0800
