=== debian/control ===
Source: pidgin-openfetion
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libpurple-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ofetion

Package: pidgin-openfetion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fetion protocol plugin for libpurple
 Fetion is an IM provided by China Mobile, with features like text 
 chat, voice call, file sharing, etc.
 .
 This package provides a protocol plugin for libpurple, which supports
 basic text and SMS messaging function.
