## pidgin-openfetion 0.2

=== debian/changelog ===
pidgin-openfetion (0.2-1) unstable; urgency=low

  * Initial release in Debian (Closes: #610123)

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 04 May 2011 19:59:38 +0800
