=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pidgin-openfetion
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
+Maintainer: Aron Xu <happyaron.xu@gmail.com>
 Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libpurple-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ofetion
 
 Package: pidgin-openfetion
