## pidgin-openfetion 0.3

=== debian/changelog ===
pidgin-openfetion (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 02 Jan 2012 11:22:44 +0800
