=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pidgin-openfetion
 Section: net
 Priority: optional
-Maintainer: Aron Xu <happyaron.xu@gmail.com>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libpurple-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ofetion
