=== debian/watch ===
version=3
http://googlecode.debian.net/p/ofetion/pidgin-openfetion-(\d+.*)\.tar\.gz
